/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ReservacionMercado;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderConfiguracionReservacionMercado implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ReservacionMercado reservacioMercado = (ReservacionMercado) o;

        Listcell lc = new Listcell(reservacioMercado.getParadaOrigem().getDescparada());
        lc.setParent(lstm);

        lc = new Listcell(reservacioMercado.getParadaDestino().getDescparada());
        lc.setParent(lstm);

        lstm.setAttribute("data", reservacioMercado);
    }
}
